diff --git a/src/backend/replication/basebackup.c b/src/backend/replication/basebackup.c
index 4aaa9e3..22119bb 100644
--- a/src/backend/replication/basebackup.c
+++ b/src/backend/replication/basebackup.c
@@ -871,7 +871,7 @@ _tarWriteHeader(const char *filename, const char *linktarget,
 	sprintf(&h[108], "%07o ", statbuf->st_uid);
 
 	/* Group 8 */
-	sprintf(&h[117], "%07o ", statbuf->st_gid);
+	sprintf(&h[116], "%07o ", statbuf->st_gid);
 
 	/* File size 12 - 11 digits, 1 space, no NUL */
 	if (linktarget != NULL || S_ISDIR(statbuf->st_mode))
@@ -903,7 +903,8 @@ _tarWriteHeader(const char *filename, const char *linktarget,
 	/* Link tag 100 (NULL) */
 
 	/* Magic 6 + Version 2 */
-	sprintf(&h[257], "ustar00");
+	sprintf(&h[257], "ustar");
+	sprintf(&h[263], "00");
 
 	/* User 32 */
 	/* XXX: Do we need to care about setting correct username? */
